<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.8"/>
<title>Fittrack Weight Detection Module: API/inc/USART.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Fittrack Weight Detection Module
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.8 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('USART_8h.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Modules</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">USART.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Header file for the <a class="el" href="USART_8c.html" title="Implementation of the USART module. ">USART.c</a> module.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="GPIO_8h_source.html">GPIO.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for USART.h:</div>
<div class="dyncontent">
<div class="center"><img src="USART_8h__incl.png" border="0" usemap="#API_2inc_2USART_8h" alt=""/></div>
<map name="API_2inc_2USART_8h" id="API_2inc_2USART_8h">
<area shape="rect" id="node2" href="GPIO_8h.html" title="Header file for the GPIO.c module. " alt="" coords="428,80,495,107"/><area shape="rect" id="node3" href="API_8h_source.html" title="API.h" alt="" coords="363,155,418,181"/><area shape="rect" id="node5" href="ADC_8h.html" title="Header file for the ADC.c module. " alt="" coords="567,229,630,256"/><area shape="rect" id="node6" href="LPUART_8h.html" title="Header file for the LPUART.c module. " alt="" coords="457,229,543,256"/><area shape="rect" id="node7" href="LPTIMER_8h.html" title="Header file for the LPTIMER.c module. " alt="" coords="5,229,96,256"/><area shape="rect" id="node9" href="WWDG_8h.html" title="Header file for the WWDG.c module. " alt="" coords="222,229,301,256"/></map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="USART_8h__dep__incl.png" border="0" usemap="#API_2inc_2USART_8hdep" alt=""/></div>
<map name="API_2inc_2USART_8hdep" id="API_2inc_2USART_8hdep">
<area shape="rect" id="node2" href="API_8h_source.html" title="API/inc/API.h" alt="" coords="717,80,820,107"/><area shape="rect" id="node3" href="ADC_8c.html" title="Implementation of the ADC module. " alt="" coords="573,155,684,181"/><area shape="rect" id="node4" href="GPIO_8c.html" title="Implementation of the GPIO module. " alt="" coords="759,155,874,181"/><area shape="rect" id="node5" href="LPTIMER_8c.html" title="Implementation of the LPTIMER module. " alt="" coords="898,155,1037,181"/><area shape="rect" id="node6" href="LPUART_8c.html" title="Implementation of the LPTIMER module. " alt="" coords="5,155,140,181"/><area shape="rect" id="node7" href="USART_8c.html" title="Implementation of the USART module. " alt="" coords="164,155,291,181"/><area shape="rect" id="node8" href="WWDG_8c.html" title="Implementation of the Window Watchdog Timer module. " alt="" coords="315,155,441,181"/><area shape="rect" id="node9" href="GPIO_8h.html" title="Header file for the GPIO.c module. " alt="" coords="1112,155,1225,181"/><area shape="rect" id="node12" href="main_8h.html" title="Header for main.c module. " alt="" coords="466,155,549,181"/><area shape="rect" id="node10" href="ADC_8h.html" title="Header file for the ADC.c module. " alt="" coords="833,229,942,256"/><area shape="rect" id="node11" href="LPUART_8h.html" title="Header file for the LPUART.c module. " alt="" coords="1054,229,1187,256"/><area shape="rect" id="node13" href="application_8h.html" title="Header file for the application module. " alt="" coords="449,229,565,256"/><area shape="rect" id="node15" href="main_8c.html" title="main programm body " alt="" coords="590,229,673,256"/><area shape="rect" id="node14" href="application_8c.html" title="Implementation of the application code. " alt="" coords="449,304,566,331"/></map>
</div>
</div>
<p><a href="USART_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a28717534874ca2be99d5b3c478d2ab3c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="USART_8h.html#a28717534874ca2be99d5b3c478d2ab3c">USART_Init</a> (<a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *usart_port_pin_rx, <a class="el" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a> usart_alternative_function_rx, <a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *usart_port_pin_tx, <a class="el" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a> usart_alternative_function_tx, uint32_t baudrate, void(*handler)(uint8_t *buffer))</td></tr>
<tr class="memdesc:a28717534874ca2be99d5b3c478d2ab3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize USART.  <a href="#a28717534874ca2be99d5b3c478d2ab3c">More...</a><br /></td></tr>
<tr class="separator:a28717534874ca2be99d5b3c478d2ab3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4190eb49c715c132cc1ff0968347eb07"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="USART_8h.html#a4190eb49c715c132cc1ff0968347eb07">USART_Send</a> (uint8_t *buffer, uint8_t buffer_len, uint8_t send_crc)</td></tr>
<tr class="memdesc:a4190eb49c715c132cc1ff0968347eb07"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send function for the USART.  <a href="#a4190eb49c715c132cc1ff0968347eb07">More...</a><br /></td></tr>
<tr class="separator:a4190eb49c715c132cc1ff0968347eb07"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Header file for the <a class="el" href="USART_8c.html" title="Implementation of the USART module. ">USART.c</a> module. </p>
<dl class="section author"><dt>Author</dt><dd>Andreas Hirtenlehner, Gerald Ebmer, Lukas Pechhacker </dd></dl>
<dl class="section date"><dt>Date</dt><dd>29.08.2016 </dd></dl>
<dl class="section version"><dt>Version</dt><dd>1.0 </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a28717534874ca2be99d5b3c478d2ab3c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void USART_Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *&#160;</td>
          <td class="paramname"><em>usart_port_pin_rx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a>&#160;</td>
          <td class="paramname"><em>usart_alternative_function_rx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="GPIO_8h.html#a03fa898306cc8d6b228bcd458bbd90f1">GPIOInstance_t</a> *&#160;</td>
          <td class="paramname"><em>usart_port_pin_tx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="GPIO_8h.html#a70f54b43315695802f19dde322387cee">GPIOAlternativeFunction_t</a>&#160;</td>
          <td class="paramname"><em>usart_alternative_function_tx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>baudrate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(*)(uint8_t *buffer)&#160;</td>
          <td class="paramname"><em>handler</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize USART. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">usart_port_pin_rx</td><td>GPIO Instance of the RX-Pin </td></tr>
    <tr><td class="paramname">usart_alternative_function_rx</td><td>Alternative-Function Number of the RX-Pin </td></tr>
    <tr><td class="paramname">usart_port_pin_tx</td><td>GPIO Instance of the TX-Pin </td></tr>
    <tr><td class="paramname">usart_alternative_function_tx</td><td>Alternative-Function Number of the TX-Pin </td></tr>
    <tr><td class="paramname">baudrate</td><td>Baudrate used for the Low-Power UART </td></tr>
    <tr><td class="paramname">handler</td><td>function pointer to the received-handler </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4190eb49c715c132cc1ff0968347eb07"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void USART_Send </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>buffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>buffer_len</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>send_crc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send function for the USART. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">buffer</td><td>pointer to the buffer for the bytes to transmit </td></tr>
    <tr><td class="paramname">buffer_len</td><td>length of the buffer in bytes </td></tr>
    <tr><td class="paramname">send_crc</td><td>0...do not send CRC16 &gt;0...send CRC16 </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_19ea4dbfe8f0e4681f60b9b97f7b5d11.html">API</a></li><li class="navelem"><a class="el" href="dir_32e58a8feb8ca9706cceffd71c9f448f.html">inc</a></li><li class="navelem"><a class="el" href="USART_8h.html">USART.h</a></li>
    <li class="footer">Generated on Mon Aug 29 2016 12:25:43 for Fittrack Weight Detection Module by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.8 </li>
  </ul>
</div>
</body>
</html>
